Template Numerical Library: TNL::Matrices::MatrixRowViewIterator< RowView > Class Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Matrices::MatrixRowViewIterator< RowView > Class Template Reference

## Public Types
using | IndexType = typename RowViewType::IndexType
| The type used for matrix elements indexing.
using | MatrixElementType = typename RowView::MatrixElementType
| The type of related matrix element.
using | RealType = typename RowViewType::RealType
| The type of matrix elements.
using | RowViewType = RowView
| Type of SparseMatrixRowView.

## Public Member Functions
__cuda_callable__ | MatrixRowViewIterator (RowViewType &rowView, IndexType localIdx)
__cuda_callable__ bool | operator!= (const MatrixRowViewIterator &other) const
| Comparison of two matrix row iterators.
__cuda_callable__ MatrixElementType | operator* ()
| Dereference operator.
__cuda_callable__ MatrixElementType | operator* () const
| Dereference operator for constant instances.
__cuda_callable__ MatrixRowViewIterator & | operator++ ()
| Increment operator.
__cuda_callable__ MatrixRowViewIterator & | operator-- ()
| Decrement operator.
__cuda_callable__ bool | operator== (const MatrixRowViewIterator &other) const
| Comparison of two matrix row iterators.

## Static Public Member Functions
static constexpr bool | isBinary ()
| Tells whether the parent matrix is a binary matrix.

## Protected Attributes
IndexType | localIdx = 0
RowViewType & | rowView

## Member Function Documentation

## ◆ isBinary()

template<typename RowView>

constexpr bool TNL::Matrices::MatrixRowViewIterator< RowView >::isBinary | ( |  | ) |
| inlinestaticnodiscardconstexpr

Tells whether the parent matrix is a binary matrix.

Returns
  true if the matrix is binary.

## ◆ operator!=()

template<typename RowView>

__cuda_callable__ bool TNL::Matrices::MatrixRowViewIterator< RowView >::operator!= | ( | const MatrixRowViewIterator< RowView > & | other | ) | const
| nodiscard

Comparison of two matrix row iterators.

Parameters

  other | is another matrix row iterator.

Returns
  false if both iterators points at the same point of the same matrix, true otherwise.

## ◆ operator==()

template<typename RowView>

__cuda_callable__ bool TNL::Matrices::MatrixRowViewIterator< RowView >::operator== | ( | const MatrixRowViewIterator< RowView > & | other | ) | const
| nodiscard

Comparison of two matrix row iterators.

Parameters

  other | is another matrix row iterator.

Returns
  true if both iterators points at the same point of the same matrix, false otherwise.

The documentation for this class was generated from the following file:

- src/TNL/Matrices/MatrixRowViewIterator.h